<?php

namespace App\Policies;

use App\Models\User;

class MeetingPolicy
{
    public function view(User $user): bool
    {
        return $user->hasPermission('view_meetings');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('create_meetings');
    }

    public function update(User $user): bool
    {
        return $user->hasPermission('edit_meetings');
    }

    public function delete(User $user): bool
    {
        return $user->hasPermission('delete_meetings');
    }
}
